---
title: "Unarchive a Channel"
slug: "unarchive-a-channel"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Unarchive a Channel

Post/api/v1/channels.unarchive

Unarchive a channel. Permission required: `unarchive-room`

### Changelog

| Version | Description |
| --- | --- |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='792be861-e931-4ce9-975e-3fda587ed1bc'>application/json</option>
</select>object  roomIdstring    

The channel ID that you want to unarchive.

ExampleByehQjC44FwMeiLbX

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='06f532b3-01d1-4d97-a9f2-ea4d04473e23'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='451d6700-d486-4e7c-81d9-f8732403f4ae'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='a25ea559-350d-4eed-bd10-545740be79c7'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='47015b13-5fc6-48c2-872f-25426af7bcb6'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
